Subject: Re: Push Windows to Linux Repository Problem

From: Robin Rosenberg <[email-masked]>
Date: Thu, 27 Dec 2012 13:18:53 +0100 (CET)

----- Ursprungligt meddelande -----
> Hi Andreas,
> 
> Thanks for the reply and no, I could not. However, you put me on the
> right track. Since I was only pushing/pulling from Windows to/from my
> Linux repository, I did not realize that an SSH session from the
> Linux
> back to Windows would ever be necessary. I don't really understand
> why
> but apparently it is. 

No. Git itself does not require a reverse connection of any kind. Maybe the Linux
box checks that reverse lookup is set up for the client and refuses connection
if reverse lookup of the connecting client's ip does not resolve to a hostname that
in turn resolves back to the client's ip. If that is the case the server does not 
actually try to connect to the client with SSH or otherwise.

-- robin